Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.ParagraphEditing Class Reference

## Public Member Functions
| Activate ()
| Activate paragraph edit editing. More...
| CanCopy ()
| Check whether can copy text. More...
| CanCut ()
| Check whether can cut text. More...
| CanDelete ()
| Check whether can delete text. More...
| CanDeselectAll ()
| Check whether can deselect all text. More...
| CanPaste ()
| Check whether can paste text. More...
| CanSelectAll ()
| Check whether can select all text. More...
| CopySelected ()
| Copy the selected text. More...
| CutSelected ()
| Cut the selected text. More...
| Deactivate ()
| Deactivate paragraph edit editing. More...
| Dedent ()
| Remove indent for selected text. More...
| DeleteSelected ()
| Delete the selected text. More...
| DeselectAll ()
| Deselect all text. More...
| ExitEditing (is_end_directly)
| Exit paragraph edit editing. More...
| Indent ()
| Indent for selected text. More...
| InsertText (text)
| Call this function when insert text into the page. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| OnChar (char_code)
| Call this function when a character code is about to be inputted. More...
| OnKeyDown (key_code)
| Call this function when key on the keyboard is down. More...
| OnKeyUp (key_code)
| Call this function when key on the keyboard is up. More...
| OnLButtonDoubleClick (page_index, point)
| Call this function when left mouse button is double clicked. More...
| OnLButtonDown (page_index, point)
| Call this function when left mouse button is down. More...
| OnLButtonUp (page_index, point)
| Call this function when left mouse button is up. More...
| OnMouseMove (page_index, point)
| Call this function when mouse moves. More...
| OnMouseWheel (page_index, point, delta)
| Call this function when mouse wheel moves. More...
| PasteSelected ()
| Paste the copied text. More...
| Render (page_index_array, renderer)
| Draw the currently paragraph edit operation state on the render. More...
| SelectAll ()
| Select all text. More...
| SetAlignment (alignment)
| Set text alignment for selected text. More...
| SetBold (is_bold)
| Set bold status for selected text. More...
| SetBulletedList (bullet_type)
| Set bullet list for selected text. More...
| SetCharHorizontalScale (scale)
| Set char horizontal scale for selected text. More...
| SetCharSpace (char_space)
| Set char space for selected text. More...
| SetFontName (font_name)
| Set font name for selected text. More...
| SetFontSize (font_size)
| Set the font size for selected text. More...
| SetItalic (is_italic)
| Set italic status for selected text. More...
| SetLineSpace (line_space)
| Set line space for selected text. More...
| SetNumberedList (numbering_type)
| Shange the look of numbering for selected text. More...
| SetParagraphSpacing (paragraph_space)
| Set paragraph spacing for selected text. More...
| SetStrikethrough (is_striketrough)
| Set strikethrough word style for selected text. More...
| SetSubscript (is_subscript)
| Set the word property of subscript type for selected text. More...
| SetSuperscript (is_superscript)
| Set the word property of superscript type for selected text. More...
| SetTextColor (text_color)
| Set text color for selected text. More...
| SetUnderline (is_underline)
| Set underline for selected text. More...
| StartEditing (page_index, start_point, end_point)
| Exit paragraph editing. More...

## Static Public Attributes
static | e_BulletTypeBlackDiamondMinusWhite
| Bullet type: black diamond minus white.
static | e_BulletTypeCheck
| Bullet type: check.
static | e_BulletTypeDiagonalUpRightArrow
| Bullet type: diagonal up right arrow.
static | e_BulletTypeInverseTangentCircle
| Bullet type: inverse tangent circle.
static | e_BulletTypeNone
| Enumeration for bullet type. More...
static | e_BulletTypeRightArrow
| Bullet type: right arrow (upper white and lower black).
static | e_BulletTypeSolidCircle
| Bullet type: solid circle.
static | e_BulletTypeSolidDiamond
| Bullet type: solid diamond.
static | e_BulletTypeSolidRectangle
| Bullet type: solid rectangle.
static | e_NumberingTypeDecimalDot
| Numbering type: 1. 2. 3.
static | e_NumberingTypeDecimalRParen
| Numbering type: 1) 2) 3)
static | e_NumberingTypeLowerLatinDot
| Numbering type: a. b. c.
static | e_NumberingTypeLowerLatinRParen
| Numbering type: a) b) c)
static | e_NumberingTypeNone
| Enumeration for numbering type. More...
static | e_NumberingTypeUpperLatinDot
| Numbering type: A. B. C.

## Detailed Description

This class represents a paragraph edit operation. To enable paragraph edit feature, user must call function FSDK.ParagraphEditing.Activate, Otherwise will not be able to use the paragraph edit function. User no longer use paragraph edit feature, please call the function FSDK.ParagraphEditing.Deactivate to stop.

## Member Function Documentation

## ◆ Activate()

FSDK.ParagraphEditing.Activate | ( |  | ) |

Activate paragraph edit editing.

## ◆ CanCopy()

FSDK.ParagraphEditing.CanCopy | ( |  | ) |

Check whether can copy text.

Returns
  true means current selected text object can be copied, while false means not.

## ◆ CanCut()

FSDK.ParagraphEditing.CanCut | ( |  | ) |

Check whether can cut text.

Returns
  true means current selected text can be cut, while false means not.

## ◆ CanDelete()

FSDK.ParagraphEditing.CanDelete | ( |  | ) |

Check whether can delete text.

Returns
  true means current selected text can be deleted, while false means not.

## ◆ CanDeselectAll()

FSDK.ParagraphEditing.CanDeselectAll | ( |  | ) |

Check whether can deselect all text.

Returns
  true means current selected text can be deselected, while false means not.

## ◆ CanPaste()

FSDK.ParagraphEditing.CanPaste | ( |  | ) |

Check whether can paste text.

Returns
  true means current selected text can be pasted, while false means not.

## ◆ CanSelectAll()

FSDK.ParagraphEditing.CanSelectAll | ( |  | ) |

Check whether can select all text.

Returns
  true means curren all text can be selected, while false means not.

## ◆ CopySelected()

FSDK.ParagraphEditing.CopySelected | ( |  | ) |

Copy the selected text.

Returns
  true means successful, while false means not.

## ◆ CutSelected()

FSDK.ParagraphEditing.CutSelected | ( |  | ) |

Cut the selected text.

Returns
  true means successful, while false means not.

## ◆ Deactivate()

FSDK.ParagraphEditing.Deactivate | ( |  | ) |

Deactivate paragraph edit editing.

Returns
  true means succeful, while false means not.

## ◆ Dedent()

FSDK.ParagraphEditing.Dedent | ( |  | ) |

Remove indent for selected text.

Returns
  None.

## ◆ DeleteSelected()

FSDK.ParagraphEditing.DeleteSelected | ( |  | ) |

Delete the selected text.

Returns
  true means successful, while false means not.

## ◆ DeselectAll()

FSDK.ParagraphEditing.DeselectAll | ( |  | ) |

Deselect all text.

Returns
  true means successful, while false means not.

## ◆ ExitEditing()

FSDK.ParagraphEditing.ExitEditing | ( | is_end_directly |  | ) |

Exit paragraph edit editing.

Parameters

  [in] | is_end_directly | Whether to end editing directly.

Returns
  None.

## ◆ Indent()

FSDK.ParagraphEditing.Indent | ( |  | ) |

Indent for selected text.

Returns
  None.

## ◆ InsertText()

FSDK.ParagraphEditing.InsertText | ( | text |  | ) |

Call this function when insert text into the page.

Parameters

  [in] | text | The text to be inserted.

Returns
  true means success, while false means failure.

## ◆ IsEmpty()

FSDK.ParagraphEditing.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ OnChar()

FSDK.ParagraphEditing.OnChar | ( | char_code |  | ) |

Call this function when a character code is about to be inputted.

Parameters

  [in] | char_code | A character code, in UTF16-LE encoding.

Returns
  true means success, while false means failure.

## ◆ OnKeyDown()

FSDK.ParagraphEditing.OnKeyDown | ( | key_code |  | ) |

Call this function when key on the keyboard is down.

Parameters

  [in] | key_code | The key code. Please refer to values starting from FSDK.Filler.e_VkeyUnknown and this should be one of these values.

Returns
  true means success, while false means failure.

## ◆ OnKeyUp()

FSDK.ParagraphEditing.OnKeyUp | ( | key_code |  | ) |

Call this function when key on the keyboard is up.

Parameters

  [in] | key_code | The key code. Please refer to values starting from FSDK.Filler.e_VkeyUnknown and this should be one of these values.

Returns
  true means success, while false means failure.

## ◆ OnLButtonDoubleClick()

FSDK.ParagraphEditing.OnLButtonDoubleClick | ( | page_index | ,
|  | point |
| ) |  |

Call this function when left mouse button is double clicked.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is up in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ OnLButtonDown()

FSDK.ParagraphEditing.OnLButtonDown | ( | page_index | ,
|  | point |
| ) |  |

Call this function when left mouse button is down.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is down in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ OnLButtonUp()

FSDK.ParagraphEditing.OnLButtonUp | ( | page_index | ,
|  | point |
| ) |  |

Call this function when left mouse button is up.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is up in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ OnMouseMove()

FSDK.ParagraphEditing.OnMouseMove | ( | page_index | ,
|  | point |
| ) |  |

Call this function when mouse moves.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is up in the page, in device coordination system.

Returns
  true means success, while false means failure.

## ◆ OnMouseWheel()

FSDK.ParagraphEditing.OnMouseWheel | ( | page_index | ,
|  | point | ,
|  | delta |
| ) |  |

Call this function when mouse wheel moves.

Parameters

  [in] | page | A valid editor page object.
  [in] | point | A point where left mouse button is up in the page, in device coordination system.
  [in] | delta | Indicates the amount the mouse wheel has been moved. A positive value means to be moved forward, and a negative value means to be moved backward.

Returns
  true means success, while false means failure.

## ◆ PasteSelected()

FSDK.ParagraphEditing.PasteSelected | ( |  | ) |

Paste the copied text.

Returns
  true means successful, while false means not.

## ◆ Render()

FSDK.ParagraphEditing.Render | ( | page_index_array | ,
|  | renderer |
| ) |  |

Draw the currently paragraph edit operation state on the render.

This function render matrix is use return by FSDK.ParagraphEditingProviderCallback.GetRenderMatrix.

Parameters

  [in] | visible_editor_page | The editor page array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  true means success, while false means failure.

## ◆ SelectAll()

FSDK.ParagraphEditing.SelectAll | ( |  | ) |

Select all text.

Returns
  true means successful, while false means not.

## ◆ SetAlignment()

FSDK.ParagraphEditing.SetAlignment | ( | alignment |  | ) |

Set text alignment for selected text.

Parameters

  [in] | alignment | Alignment value.Please refer to values starting from FSDK.e_AlignmentLeft and this should be one of these values.

Returns
  None.

## ◆ SetBold()

FSDK.ParagraphEditing.SetBold | ( | is_bold |  | ) |

Set bold status for selected text.

Parameters

  [in] | is_bold | Whether to set selected text as bold. true means current selected text will be set as bold, while false means not.

Returns
  None.

## ◆ SetBulletedList()

FSDK.ParagraphEditing.SetBulletedList | ( | bullet_type |  | ) |

Set bullet list for selected text.

Parameters

  [in] | bullet_type | The type of bullet, Please refer to values starting from FSDK.ParagraphEditing.e_BulletTypeNone and this should be one of these values.

Returns
  None.

## ◆ SetCharHorizontalScale()

FSDK.ParagraphEditing.SetCharHorizontalScale | ( | scale |  | ) |

Set char horizontal scale for selected text.

Parameters

  [in] | scale | The scale. It should be bigger than zero.

Returns
  None.

## ◆ SetCharSpace()

FSDK.ParagraphEditing.SetCharSpace | ( | char_space |  | ) |

Set char space for selected text.

Parameters

  [in] | char_space | The char space. The unit is pt.

Returns
  None.

## ◆ SetFontName()

FSDK.ParagraphEditing.SetFontName | ( | font_name |  | ) |

Set font name for selected text.

Parameters

  [in] | font_name | The font name.

Returns
  None.

## ◆ SetFontSize()

FSDK.ParagraphEditing.SetFontSize | ( | font_size |  | ) |

Set the font size for selected text.

Parameters

  [in] | font_size | The font size.

Returns
  None.

## ◆ SetItalic()

FSDK.ParagraphEditing.SetItalic | ( | is_italic |  | ) |

Set italic status for selected text.

Parameters

  [in] | is_italic | Whether to set selected text as italic. true means current selected text will be set as italic, while false means not.

Returns
  None.

## ◆ SetLineSpace()

FSDK.ParagraphEditing.SetLineSpace | ( | line_space |  | ) |

Set line space for selected text.

Parameters

  [in] | line_space | The line space.The unit is pt.

Returns
  None.

## ◆ SetNumberedList()

FSDK.ParagraphEditing.SetNumberedList | ( | numbering_type |  | ) |

Shange the look of numbering for selected text.

Parameters

  [in] | numbering_type | The type of numbering, Please refer to values starting from FSDK.ParagraphEditing.e_NumberingTypeNone and this should be one of these values.

Returns
  None.

## ◆ SetParagraphSpacing()

FSDK.ParagraphEditing.SetParagraphSpacing | ( | paragraph_space |  | ) |

Set paragraph spacing for selected text.

Parameters

  [in] | paragraph_space | The line leading.

Returns
  None.

## ◆ SetStrikethrough()

FSDK.ParagraphEditing.SetStrikethrough | ( | is_striketrough |  | ) |

Set strikethrough word style for selected text.

Parameters

  [in] | is_striketrough | Whether set the strikethrough word style. true means set, while false means not.

Returns
  None.

## ◆ SetSubscript()

FSDK.ParagraphEditing.SetSubscript | ( | is_subscript |  | ) |

Set the word property of subscript type for selected text.

Parameters

  [in] | is_sub_script | Whether set the word property of subscript type. true means set, while false means not.

Returns
  None.

## ◆ SetSuperscript()

FSDK.ParagraphEditing.SetSuperscript | ( | is_superscript |  | ) |

Set the word property of superscript type for selected text.

Parameters

  [in] | is_super_set | Whether set the word property of superscript type. true means set, while false means not.

Returns
  None.

## ◆ SetTextColor()

FSDK.ParagraphEditing.SetTextColor | ( | text_color |  | ) |

Set text color for selected text.

Parameters

  [in] | text_color | The text color.

Returns
  None.

## ◆ SetUnderline()

FSDK.ParagraphEditing.SetUnderline | ( | is_underline |  | ) |

Set underline for selected text.

Parameters

  [in] | is_underline | Whether underline text. true means underline text, while false means not.

Returns
  None.

## ◆ StartEditing()

FSDK.ParagraphEditing.StartEditing | ( | page_index | ,
|  | start_point | ,
|  | end_point |
| ) |  |

Exit paragraph editing.

Parameters

  [in] | page_index | The page index.
  [in] | start_point | A point to start editing on the page, in the device coordinate system.
  [in] | end_point | A point to end editing on the page, in the device coordinate system.

Returns
  None.

## Member Data Documentation

## ◆ e_BulletTypeNone

FSDK.ParagraphEditing.e_BulletTypeNone
| static

Enumeration for bullet type.

Values of this enumeration should be used alone.

Bullet type: none.

## ◆ e_NumberingTypeNone

FSDK.ParagraphEditing.e_NumberingTypeNone
| static

Enumeration for numbering type.

Values of this enumeration should be used alone.

Numbering type: none.